input[type=search]::-webkit-search-cancel-button,
input[type=search]::-webkit-search-decoration,
input[type=search]::-webkit-search-results-button,
input[type=search]::-webkit-search-results-decoration {
  display: none;
}

.site-header .main-menu-item:first-of-type .sub-menu {
  border-top-left-radius: 0;
}

.site-header .current-menu-item>a {
  color: #e8384e;
}

.site-header .sub-menu {
  max-width: 100%;
}

.site-header .main-menu-item .sub-menu_img {
  position: absolute;
  background: #fff;
  padding: 25px;
  border-radius: 0 5px 5px 0;
  left: 100%;
  top: 0;
  height: 100%;
  width: 306px;
  -webkit-box-shadow: 6px 8px 40px 0 rgba(232,56,78,.1);
  box-shadow: 6px 8px 40px 0 rgba(232,56,78,.1);
  opacity: 0;
  pointer-events: none;
  z-index: 2;
}

.site-header .main-menu-item .sub-menu_img--main {
  z-index: 1;
}

.site-header .main-menu-item .sub-menu_img img {
  width: 100%;
  height: 100%;
  display: block;
  -o-object-fit: cover;
  object-fit: cover;
  border-radius: 5px;
  overflow: hidden;
  -o-object-position: top;
  object-position: top;
}

.site-header .main-menu-item .sub-menu_img:not(.sub-menu_img--main) img {
  -webkit-transition: .22s;
  -o-transition: .22s;
  transition: .22s;
}

.site-header .main-menu-item.menu-item-has-children {
  position: relative;
}

.site-header .main-menu-item_img {
  display: none;
}

.site-header .main-menu-item.col_menu_3 .sub-menu_img {
  width: 326px;
}

.site-header .main-menu-item.col_menu_3 .max-height {
  overflow-y: auto;
  overflow-x: hidden;
  max-height: 100%;
}

.site-header .main-menu-item.col_menu_3 .max-height::-webkit-scrollbar {
  width: 20px;
}

.site-header .main-menu-item.col_menu_3 .max-height::-webkit-scrollbar-corner {
  display: none;
}

.site-header .main-menu-item.col_menu_3 .max-height::-webkit-scrollbar-thumb:hover {
  background-color: #a8bbbf;
}

.site-header .main-menu-item.col_menu_3 .max-height::-webkit-scrollbar-thumb {
  background-color: #d6dee1;
  border-radius: 20px;
  min-height: 100px;
  border: 6px solid transparent;
  background-clip: content-box;
}

.site-header .main-menu-item.col_menu_3 .max-height::-webkit-scrollbar-track {
  background-color: transparent;
}

.site-header .main-menu-item.col_menu_3 .sub-menu {
  width: 258px;
  min-width: 258px;
  left: 0;
}

.site-header .main-menu-item.col_menu_3 .sub-menu-item:hover .sub-sub-menu {
  pointer-events: auto;
}

.site-header .main-menu-item.col_menu_3 .sub-menu-item.hover .sub-sub-menu {
  opacity: 1;
}

.site-header .main-menu-item.col_menu_3 .sub-menu-item.hover .menu-item-even>a {
  -webkit-transform: rotateX(0);
  transform: rotateX(0);
  opacity: 1;
}

.site-header .main-menu-item.col_menu_3 .sub-menu-item.hover>.sub-menu_img {
  opacity: 1;
  z-index: 2;
}

.site-header .main-menu-item.col_menu_3 .sub-menu-item.hover>.sub-menu_img img,
.site-header .main-menu-item.col_menu_3 .sub-menu-item:first-of-type .sub-sub-menu {
  opacity: 1;
}

.site-header .main-menu-item.col_menu_3 .sub-menu-item:first-of-type .sub-sub-menu .menu-item-even>a {
  -webkit-transform: rotateX(0);
  transform: rotateX(0);
  opacity: 1;
}

.site-header .main-menu-item.col_menu_3 .sub-menu-item.menu-item-depth-1>.sub-menu_img {
  left: calc(100% + 559px);
}

.site-header .main-menu-item.col_menu_3 .sub-sub-menu {
  position: absolute;
  left: 100%;
  top: 0;
  height: 100%;
  background: #fff;
  width: calc(100vw - 661px);
  padding: 25px;
  border-radius: 0 5px 5px 0;
  -webkit-box-shadow: 6px 8px 40px 0 rgba(232,56,78,.1);
  box-shadow: 6px 8px 40px 0 rgba(232,56,78,.1);
  opacity: 0;
  pointer-events: none;
}

.site-header .main-menu-item.col_menu_3 .menu-item-odd {
  border-radius: 5px;
}

.site-header .main-menu-item.col_menu_3 .menu-item-odd>a {
   font-family: "Manrope";
  line-height: 21px;
  color: #464040;
  border-radius: 5px;
  padding: 8px 16px;
}

.site-header .main-menu-item.col_menu_3 .menu-item-odd.menu-item-has-children>a {
  position: relative;
  padding-right: 26px;
}

.site-header .main-menu-item.col_menu_3 .menu-item-odd.menu-item-has-children>a:after {
  content: "";
  background: url(../images/chevron-small.svg) no-repeat 50%/auto;
  width: 5px;
  height: 8px;
  position: absolute;
  top: 50%;
  -webkit-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
  right: 16px;
}

.site-header .main-menu-item.col_menu_3 .menu-item-even {
  border-radius: 5px;
  -webkit-transition: .3s;
  -o-transition: .3s;
  transition: .3s;
  padding: 4px 0;
  -webkit-column-break-inside: avoid;
  -moz-column-break-inside: avoid;
  break-inside: avoid;
}

.site-header .main-menu-item.col_menu_3 .menu-item-even>a {
  padding: 4px 10px;
  line-height: 21px;
  -webkit-transform: rotateX(90deg);
  transform: rotateX(90deg);
  opacity: 0;
  border-radius: 5px;
}

.site-header .main-menu-item.col_menu_3 .menu-item-even:hover a {
  background: #fff7f8;
}

.site-header .main-menu-item.col_menu_3 .sub-menu_img--main,
.site-header .main-menu-item.col_menu_3 .sub-menu_img--main img {
  opacity: 1;
}

.site-header .main-menu-item.col_menu_2:hover .sub-menu_img--main {
  pointer-events: auto;
}

.site-header .main-menu-item.col_menu_2 .sub-menu {
  left: calc(50% - 320px);
  width: 320px;
  min-width: 320px;
}

.site-header .main-menu-item.col_menu_2.no-image .sub-menu {
  left: calc(50% - 160px);
}

.site-header .main-menu-item.col_menu_2 .sub-menu_img--main,
.site-header .main-menu-item.col_menu_2 .sub-menu_img--main img {
  opacity: 1;
}

.site-header .main-menu-item.col_menu_2 .menu-item-odd>a {
  padding: 4px 10px;
  line-height: 21px;
  border-radius: 5px;
}

.site-header .main-menu-item.col_menu_2 .menu-item-odd.hover>a,
.site-header .main-menu-item.col_menu_2 .menu-item-odd:hover>a {
  background: #fff7f8;
}

.site-header .main-menu-item.col_menu_2 .menu-item-odd.hover .sub-menu_img,
.site-header .main-menu-item.col_menu_2 .menu-item-odd:hover .sub-menu_img {
  opacity: 1;
  pointer-events: auto;
}

.site-header .main-menu-item.col_menu_2 .menu-item-odd.hover .sub-menu_img img,
.site-header .main-menu-item.col_menu_2 .menu-item-odd:hover .sub-menu_img img {
  opacity: 1;
}

.site-header .main-menu-item.col_menu_2 .menu-item_title {
  color: #464040;
   font-family: "Manrope";
  border-bottom: 1px solid #ef3c54;
  margin-bottom: 16px;
}

.site-header .main-menu-item.col_menu_2 .menu-item_title a {
  padding: 8px 10px;
}

.site-header .main-menu-item.col_menu_2 .menu-item_title a:hover {
  background: transparent;
}

.api-references--content .api-references--content-header {
  padding-bottom: 0;
}

.api-references--content .api-references--content-header .d-flex {
  width: 100%;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
}

.api-references--content .api-references--content-header .d-flex>ul {
  margin-bottom: 20px;
}

.api-references--content .api-references--content-header .d-flex>ul li:first-of-type {
  margin-left: 0;
}

.api-references--content .api-references--content-header .d-flex>ul a {
  padding: 39px 10px 21px;
}

.api-references--content .api-references--content-header .d-flex>ul a.current-page {
  padding: 37px 10px 5px;
}

.api-references--content .api-references--content-header .w-100 {
  display: -webkit-box!important;
  display: -ms-flexbox!important;
  display: flex!important;
  -ms-flex-wrap: nowrap;
  flex-wrap: nowrap;
}

.api-references--content .api-references--content-header .api-toggle {
  position: static;
  margin-top: -10px;
  margin-right: 24px;
}

.api-references--content .api-search {
  position: relative;
  max-width: calc(100% - 460px);
  width: 100%;
  z-index: 1;
  margin-left: auto;
  margin-right: 0;
}

.api-references--content .api-search .faq-search.active .api-search_list {
  opacity: 1;
  pointer-events: auto;
}

.api-references--content .api-search_field {
  position: relative;
  z-index: 1;
}

.api-references--content .api-search_field:after {
  position: absolute;
  top: calc(50% - 8px);
  left: 24px;
  background: url(../images/search-bold.svg);
  content: "";
  width: 16px;
  height: 16px;
}

.api-references--content .api-search_field input {
  border-radius: 5px;
  border: 1px solid #eceef2;
  background: #fff;
  height: 60px;
  padding: 10px 54px;
  font-size: 14px;
  outline: none;
  width: 100%;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

.api-references--content .api-search_field input::-webkit-input-placeholder {
  color: #464040;
}

.api-references--content .api-search_field input::-moz-placeholder {
  color: #464040;
}

.api-references--content .api-search_field input:-ms-input-placeholder {
  color: #464040;
}

.api-references--content .api-search_field input::-ms-input-placeholder {
  color: #464040;
}

.api-references--content .api-search_field input::placeholder {
  color: #464040;
}

.api-references--content .api-search_list {
  position: absolute;
  top: calc(100% - 3px);
  left: 0;
  right: 0;
  display: block;
  border-radius: 0 0 5px 5px;
  border: 1px solid #eceef2;
  -webkit-box-shadow: 0 10px 20px 0 rgba(232,56,78,.05);
  box-shadow: 0 10px 20px 0 rgba(232,56,78,.05);
  background: #fff;
  max-height: 357px;
  overflow-y: auto;
  overflow-x: hidden;
  -webkit-transition: .3s;
  -o-transition: .3s;
  transition: .3s;
  opacity: 0;
  pointer-events: none;
}

.api-references--content .api-search_list li {
  display: block;
  margin-left: 0;
  margin-right: 0;
}

.api-references--content .api-search_list a {
  padding: 10px 24px;
  line-height: 24px;
  font-size: 14px;
  color: #111;
  display: block;
}

.api-references--content .api-search_list a:hover {
  background: #feeff1;
}

.api-references--content .api-search_list a .full-word,
.api-references--content .api-search_list a .highlighted,
.api-references--content .api-search_list a .non-word {
  color: #e8384e;
}

.api-references--content .api-search_list a .highlighted {
   font-family: "Manrope";
}

.api-references--content .api-search_list .no-result-faq {
  font-size: 14px;
  padding: 17px 26px;
}

.api-references--content .api-search_close {
  position: absolute;
  width: 30px;
  height: 30px;
  right: 15px;
  top: calc(50% - 15px);
  background-image: url(../images/close.svg);
  background-size: 22px;
  background-position: 50%;
  background-repeat: no-repeat;
  cursor: pointer;
}

.api-references--nav .api-references--nav-inner li:first-of-type {
  margin-bottom: 34px;
}

.api-references--nav .api-references--nav-inner li:first-of-type a {
  border-bottom: none!important;
}

.api-references--nav .api-references--nav-inner a {
  margin: 0;
}

.api-references--nav .api-references--nav-inner .subtitle a {
  line-height: 21px;
}

.api-references--nav .api-references--nav-inner .subtitle:not(.subtitle-h2) a:hover {
  background: rgba(232,56,78,.1);
}

.api-references--nav .api-references--nav-inner .subtitle:not(.subtitle-h2) a:hover:before {
  background: #e8384e;
}

.api-references--nav .api-references--nav-inner .subtitle.subtitle-h2 {
  margin-bottom: 8px;
}

.api-references--nav .api-references--nav-inner .subtitle.subtitle-h2 a {
  padding: 10px;
  border-bottom: 1px solid rgba(232,56,78,.25);
}

.api-references--nav .api-references--nav-inner .subtitle.subtitle-h3 a {
  padding: 4px 10px 4px 24px;
}

.api-references--nav .api-references--nav-inner .subtitle.subtitle-h4 a {
  padding: 4px 10px 4px 36px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: start;
  -ms-flex-pack: start;
  justify-content: flex-start;
}

.api-references--nav .api-references--nav-inner .subtitle.subtitle-h4 a:before {
  content: "";
  width: 3px;
  height: 3px;
  min-width: 3px;
  border-radius: 50%;
  background: #111;
  margin-right: 8px;
  -webkit-transition: inherit;
  -o-transition: inherit;
  transition: inherit;
}

@media (min-width:992px) {
  .site-header .main-menu-item .sub-menu_img:before {
    content: "";
    position: absolute;
    background: #fff;
    width: 24px;
    right: 100%;
    top: 0;
    bottom: 0;
    border-right: 1px solid #fdeaec;
  }

  .site-header .main-menu-item .sub-menu_img img {
    opacity: 0;
  }

  .site-header .main-menu-item.col_menu_3 .sub-menu {
    height: 309px;
  }

  .site-header .main-menu-item.col_menu_3 .sub-sub-menu:before {
    content: "";
    position: absolute;
    background: #fff;
    width: 24px;
    right: 100%;
    top: 0;
    bottom: 0;
    border-right: 1px solid #fdeaec;
  }

  .site-header .main-menu-item.col_menu_3 .sub-sub-menu-item.hover {
    background: #fff7f8;
  }

  .site-header .main-menu-item.col_menu_3 .sub-sub-menu-item.hover .sub-menu_img,
  .site-header .main-menu-item.col_menu_3 .sub-sub-menu-item.hover .sub-menu_img img {
    opacity: 1;
  }

  .site-header .main-menu-item.col_menu_3 .menu-item-odd.hover {
    background: #fff7f8;
  }
}

@media (min-width:1230px) {
  .site-header .main-menu-item.col_menu_3 .sub-sub-menu {
    width: 559px;
  }

  .site-header .main-menu-item.col_menu_3 .sub-sub-menu .max-height {
    -webkit-column-count: 2;
    -moz-column-count: 2;
    column-count: 2;
  }
}

@media (max-width:1400px) {
  .api-references--content .api-references--content-header {
    border-bottom: 0;
    padding: 0 34px 0 16px;
  }

  .api-references--content .api-search {
    max-width: calc(100% - 420px);
  }

  .api-references--content .api-search_field input {
    height: 46px;
  }
}

@media (max-width:1230px) {
  .site-header .main-menu-item.col_menu_3 .sub-menu-item.menu-item-depth-1>.sub-menu_img {
    left: calc(100vw - 400px);
  }
}

@media (max-width:1140px) {
  .site-header .main-menu-item.col_menu_3 .sub-menu-item.menu-item-depth-1>.sub-menu_img {
    left: calc(100% + 380px);
  }

  .site-header .main-menu-item.col_menu_3 .sub-sub-menu {
    width: calc(100% + 120px);
  }
}

@media (max-width:1040px) {
  .site-header .main-menu-item.col_menu_3 .sub-menu-item.menu-item-depth-1>.sub-menu_img {
    left: calc(100vw - 400px);
  }

  .site-header .main-menu-item.col_menu_3 .sub-sub-menu {
    width: calc(100vw - 660px);
  }
}

@media (max-width:992px) {
  .site-header .main-menu-item.col_menu_3 .menu-item-odd>a {
    color: #e8384e;
    padding: 8px 16px 8px 26px;
    font-size: 18px;
    margin-bottom: 10px;
    border-bottom: 1px solid #eee;
    pointer-events: none;
  }

  .site-header .main-menu-item.col_menu_3 .menu-item-odd.menu-item-has-children>a:after {
    display: none;
  }

  .site-header .main-menu-item_img {
    display: none;
    position: absolute;
    width: 54px;
    height: 36px;
    right: 0;
    top: 1px;
    z-index: 2;
    border-radius: 5px;
    overflow: hidden;
  }

  .site-header .main-menu-item_img img {
    width: 100%;
    height: 100%;
    display: block;
    -o-object-fit: cover;
    object-fit: cover;
    border-radius: inherit;
  }

  .site-header .main-menu-item[data-image] a {
    padding-right: 50px!important;
  }

  .site-header .main-menu-item .sub-menu {
    width: 100%!important;
  }

  .site-header .main-menu-item .sub-menu_img {
    display: none;
    padding: 0;
    width: 38px;
    height: 33px;
    opacity: 1;
    left: auto;
    right: 0;
    top: 4px;
  }

  .site-header .main-menu-item .sub-menu_img--main {
    display: none;
  }

  .site-header .main-menu-item.col_menu_3 .sub-sub-menu {
    position: static;
    opacity: 1;
    pointer-events: auto;
    width: 100%;
    -webkit-box-shadow: none;
    box-shadow: none;
    padding: 4px 16px;
  }

  .site-header .main-menu-item.col_menu_3 .menu-item-even {
    position: relative;
  }

  .site-header .main-menu-item.col_menu_3 .menu-item-even>a {
    padding: 6px 9px;
    padding-right: 46px;
    opacity: 1;
    -webkit-transform: rotateX(0);
    transform: rotateX(0);
  }

  .site-header .main-menu-item.col_menu_3 .sub-menu-item.menu-item-depth-1 {
    position: relative;
  }

  .site-header .main-menu-item.col_menu_3 .sub-menu-item.menu-item-depth-1>.sub-menu_img {
    left: auto;
    right: 6px;
    width: 48px;
  }

  .site-header .main-menu-item.col_menu_2 .menu-item-odd {
    position: relative;
  }

  .site-header .main-menu-item.col_menu_2 .menu-item-odd>a {
    padding: 6px 9px;
    padding-right: 46px;
    opacity: 1;
    -webkit-transform: rotateX(0);
    transform: rotateX(0);
  }

  .site-header .main-menu-item.col_menu_2 .sub-menu_img {
    top: 0;
  }

  .site-header .main-menu-item.col_menu_2 .menu-item_title {
    margin-bottom: 0;
    border-bottom: 0;
  }

  .api-references--content .api-references--content-header .d-flex {
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
  }

  .api-references--content .api-references--content-header .d-flex>ul {
    margin-bottom: 0;
  }

  .api-references--content .api-references--content-header .d-flex>ul a {
    padding: 25px 10px 21px;
  }

  .api-references--content .api-references--content-header .d-flex>ul a.current-page {
    padding: 23px 10px 5px;
  }

  .api-references--content .api-search {
    max-width: 100%;
    width: 100%;
    -webkit-box-ordinal-group: 5;
    -ms-flex-order: 4;
    order: 4;
  }

  .api-references--content .wpml-ls-statics-shortcode_actions {
    margin-top: 9px;
  }

  .api-references--content .wrap_api-toggle {
    margin-top: 7px;
  }

  .api-references--nav+.api-references--content {
    padding-top: 147px!important;
  }
}

@media (max-width:768px) {
  .api-references--content .api-references--content-header {
    padding-bottom: 14px!important;
    padding: 0 27px;
    border-bottom: 1px solid #f1f1f1!important;
  }

  .api-references--content .api-references--content-header .d-flex>ul a {
    padding-left: 0;
    padding-right: 0;
  }

  .api-references--content .wrap_api-toggle {
    -webkit-box-ordinal-group: 3;
    -ms-flex-order: 2;
    order: 2;
  }

  .api-references--content .wrap_api-toggle .api-toggle {
    margin-right: 8px;
  }

  .api-references--nav+.api-references--content {
    padding-top: 46px!important;
  }
}

@media (max-width:767px) {
  .api-references--content .api-search_field:after {
    left: 16px;
  }

  .api-references--content .api-search_field input {
    padding: 10px 35px 10px 40px;
  }

  .api-references--content .api-search_close {
    right: 5px;
  }
}